## jline
Class NullCompletor

    java.lang.Object
      jline.NullCompletor

All Implemented Interfaces:
  Completor

public class NullCompletor
extends Object
implements Completor

A completor that does nothing. Useful as the last item in an `ArgumentCompletor`.

Author:
  Marc Prud'hommeaux

Constructor Summary
`NullCompletor()`

Method Summary
`int` `complete(String buffer, int cursor, List candidates)` Returns -1 always, indicating that the the buffer is never handled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullCompletor

    public NullCompletor()

Method Detail

### complete

    public int complete(String buffer,
                        int cursor,
                        List candidates)

  Returns -1 always, indicating that the the buffer is never handled.

  Specified by:
    `complete` in interface `Completor`
  Parameters:
    `buffer` - the buffer
    `candidates` - the `List` of candidates to populate
  Returns:
    the index of the buffer for which the completion will be relative

Released under the terms of the BSD license